LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::ui::ItemType Constant Group Reference

Determines the type of an item. More...

## Variables
const short | DEFAULT = 0
| a normal item More...
const short | SEPARATOR_LINE = 1
| a separator is inserted as a line. More...
const short | SEPARATOR_SPACE = 2
| a separator is inserted as a space. More...
const short | SEPARATOR_LINEBREAK = 3
| a line break is inserted. More...

## Detailed Description

Determines the type of an item.

Since
  OOo 2.0

## Variable Documentation

## ◆ DEFAULT

const short DEFAULT = 0

a normal item

## ◆ SEPARATOR_LINE

const short SEPARATOR_LINE = 1

a separator is inserted as a line.

## ◆ SEPARATOR_LINEBREAK

const short SEPARATOR_LINEBREAK = 3

a line break is inserted.

## ◆ SEPARATOR_SPACE

const short SEPARATOR_SPACE = 2

a separator is inserted as a space.